Package net.sf.saxon.s9api

## Class SaxonApiException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.sf.saxon.s9api.SaxonApiException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SaxonApiException
      extends java.lang.Exception

  An exception thrown by the Saxon s9api API. This is always a wrapper for some other underlying exception
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SaxonApiException​(java.lang.String message)` | Create a SaxonApiException
    `SaxonApiException​(java.lang.String message, java.lang.Throwable cause)` | Create a SaxonApiException
    `SaxonApiException​(java.lang.Throwable cause)` | Create a SaxonApiException

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `QName` | `getErrorCode()` | Get the error code associated with the exception, if there is one
    `int` | `getLineNumber()` | Get the line number associated with the exception, if known.
    `java.lang.String` | `getMessage()` | Returns the detail message string of this throwable.
    `java.lang.String` | `getSystemId()` | Get the URI of the module associated with the exception, if known.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SaxonApiException

          public SaxonApiException​(java.lang.Throwable cause)

      Create a SaxonApiException
      Parameters:
        `cause` - the underlying cause of the exception

    - #### SaxonApiException

          public SaxonApiException​(java.lang.String message)

      Create a SaxonApiException
      Parameters:
        `message` - the message

    - #### SaxonApiException

          public SaxonApiException​(java.lang.String message,
                                   java.lang.Throwable cause)

      Create a SaxonApiException
      Parameters:
        `message` - the message
        `cause` - the underlying cause of the exception

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Returns the detail message string of this throwable.
      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        the detail message string of this `Throwable` instance (which may be `null`).

    - #### getErrorCode

          public QName getErrorCode()

      Get the error code associated with the exception, if there is one
      Returns:
        the associated error code, or null if no error code is available
      Since:
        9.3

    - #### getLineNumber

          public int getLineNumber()

      Get the line number associated with the exception, if known.
      Returns:
        the line number (typically of a line in a stylesheet, query, or schema, but in the case of validation errors it may be a line in a source document); or -1 if not known
      Since:
        9.6

    - #### getSystemId

          public java.lang.String getSystemId()

      Get the URI of the module associated with the exception, if known.
      Returns:
        the URI of the module (typically a stylesheet, query, or schema, but in the case of validation errors it may be a source document); or null if not known
      Since:
        9.6